Update drop point location
PATCH
/drop_points/{id}/locations/{location_id}
const url = 'https://example.com/drop_points/example/locations/example';const options = { method: 'PATCH', headers: {'Content-Type': 'application/json'}, body: '{"external_id":"example","name":"example","shipping_address":{"street":"example","postal_code":"example","city":"example","region":"example","country":"example","latitude":"Infinity","longitude":"Infinity"},"billing_address":{"street":"example","postal_code":"example","city":"example","region":"example","country":"example","latitude":"Infinity","longitude":"Infinity"},"barcodes":["example"],"opening_hours":{"monday":{"opens_at":"example","closes_at":"example"},"tuesday":{"opens_at":"example","closes_at":"example"},"wednesday":{"opens_at":"example","closes_at":"example"},"thursday":{"opens_at":"example","closes_at":"example"},"friday":{"opens_at":"example","closes_at":"example"},"saturday":{"opens_at":"example","closes_at":"example"},"sunday":{"opens_at":"example","closes_at":"example"}},"opening_hours_notes":"example","settings":{"acceptable_skus":["example"],"unlisted":true},"address":{"street":"example","postal_code":"example","city":"example","region":"example","country":"example","latitude":"Infinity","longitude":"Infinity"},"drop_point_fk":"example","latitude":"Infinity","longitude":"Infinity"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PATCH \ --url https://example.com/drop_points/example/locations/example \ --header 'Content-Type: application/json' \ --data '{ "external_id": "example", "name": "example", "shipping_address": { "street": "example", "postal_code": "example", "city": "example", "region": "example", "country": "example", "latitude": "Infinity", "longitude": "Infinity" }, "billing_address": { "street": "example", "postal_code": "example", "city": "example", "region": "example", "country": "example", "latitude": "Infinity", "longitude": "Infinity" }, "barcodes": [ "example" ], "opening_hours": { "monday": { "opens_at": "example", "closes_at": "example" }, "tuesday": { "opens_at": "example", "closes_at": "example" }, "wednesday": { "opens_at": "example", "closes_at": "example" }, "thursday": { "opens_at": "example", "closes_at": "example" }, "friday": { "opens_at": "example", "closes_at": "example" }, "saturday": { "opens_at": "example", "closes_at": "example" }, "sunday": { "opens_at": "example", "closes_at": "example" } }, "opening_hours_notes": "example", "settings": { "acceptable_skus": [ "example" ], "unlisted": true }, "address": { "street": "example", "postal_code": "example", "city": "example", "region": "example", "country": "example", "latitude": "Infinity", "longitude": "Infinity" }, "drop_point_fk": "example", "latitude": "Infinity", "longitude": "Infinity" }'Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters”id
required
string
location_id
required
string
Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
shipping_address
Any of:
Any of:
object
null
null
null
billing_address
Any of:
Any of:
object
null
null
null
barcodes
Any of:
Any of:
Array<string>
null
null
opening_hours
Any of:
Any of:
object
monday
tuesday
wednesday
thursday
friday
saturday
null
null
settings
address
Any of:
Any of:
object
null
null
null
Responses
Section titled “ Responses ”Media typeapplication/json
object
id
required
string
shipping_address
required
object
billing_address
required
object
opening_hours
required
object
monday
required
tuesday
required
wednesday
required
thursday
required
friday
required
saturday
required
settings
required
object
acceptable_skus
required
Any of:
Array<string>
null
unlisted
required
When true the location is excluded from the public nearby search (and so from the map), but still resolves by barcode — scanning its QR code on site works as normal.
boolean
review_state
required
Whether this location is publicly visible. Only approved locations appear in the nearby search, resolve by barcode, or accept scans. No owner-facing route can write this field.
string
barcodes
required
Array<string>
address
required
Deprecated: renamed to shipping_address (with billing_address added).
object
Example
{ "shipping_address": { "latitude": "Infinity", "longitude": "Infinity" }, "billing_address": { "latitude": "Infinity", "longitude": "Infinity" }, "review_state": "approved", "latitude": "Infinity", "longitude": "Infinity", "address": { "latitude": "Infinity", "longitude": "Infinity" }}